.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the AudioEffectPanner.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_AudioEffectPanner:

AudioEffectPanner
=================

**Inherits:** :ref:`AudioEffect<class_audioeffect>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Adds a Panner audio effect to an Audio bus. Pans sound left or right.

Member Variables
----------------

  .. _class_AudioEffectPanner_pan:

- :ref:`float<class_float>` **pan** - Pan position. Value can range from -1 (fully left) to 1 (fully right).


Description
-----------

Determines how much of an audio signal is sent to the left and right buses.

